Package com.mckoi.database.global

## Interface BlobAccessor

All Known Subinterfaces:
  `BlobRef`

All Known Implementing Classes:
  `ByteLongObject`

    public interface BlobAccessor

An interface that provides access to basic information about a BLOB so that we may compare BLOBs implemented in different ways.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`java.io.InputStream` `getInputStream()` Returns an InputStream that allows us to read the contents of the blob from start to finish.
`int` `length()` Returns the size of the BLOB.

### Method Detail

#### length

    int length()

Returns the size of the BLOB.

#### getInputStream

    java.io.InputStream getInputStream()

Returns an InputStream that allows us to read the contents of the blob from start to finish. This object should be wrapped in a BufferedInputStream if 'read()' type efficiency is required.